#
# System csh.login for tcsh,
# (c) Werner Fink '93
#
if ( ! ${?suser} ) set suser=`who -m|grep -c \\!$user`
if ( ${suser} ) then
    # Console
    if ( ! ${?TERM} )           setenv TERM linux
    if ( "$TERM" == "unknown" ) setenv TERM linux
    # No tset avaible on SlackWare
    if ( -x "`which stty`" ) stty sane cr0 pass8 dec
    if ( -x "`which tset`" ) tset -I -Q
    unsetenv TERMCAP
    settc km yes
endif
umask 022
setenv SHELL /bin/tcsh
if ( -f /var/spool/mail/$USER ) then
    setenv MAIL /var/spool/mail/$USER
    set mail=$MAIL
endif

if ( -d /usr/andrew/bin )   set path=( /usr/andrew/bin $path )
if ( -d $OPENWINHOME/bin )  set path=( $OPENWINHOME/bin $path )
if ( -d /usr/bin/X11 ) then
    set path=( /usr/bin/X11 $path )
else if ( -d /usr/X11R6/bin ) then
    set path=( /usr/X11R6/bin $path )
else if ( -d /usr/X11/bin ) then
    set path=( /usr/X11/bin $path )
endif
if ( -d /usr/lib/java/bin ) set path=( /usr/lib/java/bin $path )
if ( -d /usr/games )        set path=( /usr/games $path )
if ( -d ~/bin )             set path=( ~/bin $path )

#
# SuSEconfig stuff
#
if ( -r /etc/SuSEconfig/csh.login ) then
    source /etc/SuSEconfig/csh.login
endif

if ( "$uid" == "0" ) then
    set who=( "%n has %a %l from %M." )
    set watch=( any any )
endif
#
# Go home
cd
#
# An x session
if (${?WINDOWID}) then
    if ( -f /etc/motd ) cat /etc/motd
    echo "Directory: $cwd"
    #
    # shadow passwd
    # Note: on normal console this will be done
    #       by /bin/login
    if ( -x "`which faillog`" && -r /var/log/faillog ) faillog -p
endif
#
# Do you really like this?
#if (-x "`which fortune`" ) then
#   echo " "
#   fortune -s
#   echo " "
#endif
#
# last but not least
date
##
